#
# uxyz08.rb
#
# $Id: uxyz08.rb,v 1.1 2000/11/23 08:19:17 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


x1 = -180
x2 = +180
dx1 = 10
dx2 = 60
y1 = -90
y2 = +90
dy1 = 10
dy2 = 30

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::sgswnd(x1, x2, y1, y2)
DCL::sgsvpt(0.2, 0.8, 0.3, 0.7)
DCL::sgstrn(1)
DCL::sgstrf

DCL::uziset('INNER', -1)
DCL::uzrset('UXUSER', 0.0)
DCL::uzrset('UYUSER', 0.0)
DCL::uzlset('LABELXU', false)
DCL::uzlset('LABELYU', false)

DCL::uxaxdv('B', dx1, dx2)
DCL::uxaxdv('T', dx1, dx2)
DCL::uxsttl('B', 'LONGITUDE', 0.0)

DCL::uyaxdv('L', dy1, dy2)
DCL::uyaxdv('R', dy1, dy2)
DCL::uysttl('L', 'LATITUDE', 0.0)

DCL::uxmttl('T', 'UXAXDV/UYAXDV', 0.0)

DCL::uzfact(0.5)
DCL::uxaxdv('U', dx1, dx2)
DCL::uxsttl('U', 'EQ', +0.9)
DCL::uyaxdv('U', dy1, dy2)
DCL::uysttl('U', 'GM', -0.9)
DCL::uziset('INNER', +1)
DCL::uxaxdv('U', dx1, dx2)
DCL::uyaxdv('U', dy1, dy2)

DCL::grcls

